Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 981139 - After migration, paused VM is running on destination
Summary: After migration, paused VM is running on destination
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Jiri Denemark
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-04 06:15 UTC by Luwen Su
Modified: 2014-06-18 00:52 UTC (History)
4 users (show)

Fixed In Version: libvirt-1.1.0-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 11:03:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Luwen Su 2013-07-04 06:15:35 UTC
Description of problem:
Paused the guest on source first , then migrate it to dest , the guest will turn to running 

Version-Release number of selected component (if applicable):
libvirt-1.1.0-1.el7.x86_64
qemu-kvm-1.5.1-2.el7.x86_64
kernel-3.10.0-0.rc7.64.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.set nfs environment first , then
#virsh suspend $guest
#virsh domstate $guest
paused

2.
#virsh migrate $guest qemu+ssh://$dest_ip/system

3.on dest
#virsh domstate $guest
running 


Actual results:
Guest turn to running

Expected results:
Guest keep paused

Additional info:
1.
There was a similar bug on rhel5
Bug 519204 - After migration, paused VM is running on destination 

2.
If migrate with flag --suspend , the guest will keep paused on dest

3.
On rhel6 and previous rhel7 version 1.0.6 , the action works as expected

Comment 2 Jiri Denemark 2013-07-08 13:37:00 UTC
Fixed upstream by v1.1.0-53-gd4ce75b:

commit d4ce75ba764e74f72c8043fdee5fefdcb4f6c8cc
Author: Jiri Denemark <jdenemar@redhat.com>
Date:   Thu Jul 4 19:58:51 2013 +0200

    Paused domain should remain paused after migration
    
    https://bugzilla.redhat.com/show_bug.cgi?id=981139
    
    If a domain is paused before migration starts, we need to tell that to
    the destination libvirtd to prevent it from resuming the domain at the
    end of migration. This regression was introduced by commit 5379bb0.

Comment 3 zhe peng 2013-07-15 03:34:42 UTC
can reproduce with libvirt-1.1.0-1.el7.x86_64

verify with build:
libvirt-1.1.0-2.el7.x86_64
qemu-kvm-1.5.1-2.el7.x86_64

step:
1.set nfs environment first , then
#virsh suspend $guest
#virsh domstate $guest
paused

2.
#virsh migrate $guest qemu+ssh://$dest_ip/system

3.on dest
#virsh domstate $guest
paused

verification passed.

Comment 4 Ludek Smid 2014-06-13 11:03:23 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.